Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-qt/mapview.h File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Structures | Functions
mapview.h File Reference
`#include "mapview_g.h"`
`#include "fonts.h"`
`#include <QFrame>`
`#include <QLabel>`
`#include <QMutex>`
`#include <QQueue>`
`#include <QThread>`
`#include <QTimer>`

Go to the source code of this file.

## Data Structures

struct | call_me_back
class | mr_idle
class | map_view
class | info_tile
class | resize_widget
class | move_widget
class | fcwidget
class | close_widget
class | minimap_thread
class | minimap_view

## Functions

bool | is_point_in_area (int x, int y, int px, int py, int pxe, int pye)
void | unscale_point (double scale_factor, int &x, int &y)
void | draw_calculated_trade_routes (QPainter *painter)
void | mapview_freeze (void)
void | mapview_thaw (void)
bool | mapview_is_frozen (void)
void | pixmap_put_overlay_tile (int canvas_x, int canvas_y, struct sprite *ssprite)

## Function Documentation

## ◆ draw_calculated_trade_routes()

void draw_calculated_trade_routes | ( | QPainter * | painter | ) |

Draws calculated trade routes

Definition at line 81 of file mapview.cpp.

Referenced by map_view::paint().

## ◆ is_point_in_area()

bool is_point_in_area | ( | int | x,
|  | int | y,
|  | int | px,
|  | int | py,
|  | int | pxe,
|  | int | pye
| ) |  |

Check if point x, y is in area (px -> pxe, py - pye)

Definition at line 70 of file mapview.cpp.

Referenced by map_view::find_place().

## ◆ mapview_freeze()

void mapview_freeze | ( | void |  | ) |

Freeze the drawing of the map.

Definition at line 356 of file mapview.c.

Referenced by real_set_client_page().

## ◆ mapview_is_frozen()

bool mapview_is_frozen | ( | void |  | ) |

Return whether the map should be drawn or not.

Definition at line 378 of file mapview.c.

Referenced by dirty_all(), dirty_rect(), flush_dirty(), map_canvas_draw(), and map_canvas_draw().

## ◆ mapview_thaw()

void mapview_thaw | ( | void |  | ) |

Thaw the drawing of the map.

Definition at line 364 of file mapview.c.

Referenced by real_set_client_page().

## ◆ pixmap_put_overlay_tile()

void pixmap_put_overlay_tile | ( | int | canvas_x,
|  | int | canvas_y,
|  | struct sprite * | ssprite
| ) |  |

Put overlay tile to pixmap

Definition at line 1223 of file mapview.cpp.

Referenced by put_cross_overlay_tile().

## ◆ unscale_point()

void unscale_point | ( | double | scale_factor,
|  | int & | x,
|  | int & | y
| ) |  |

Scales point from scaled overview coords to real overview coords.

Definition at line 711 of file mapview.cpp.

Referenced by minimap_view::mousePressEvent(), and minimap_thread::run().